Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055337 - fail to specify order for the pcie-switch boot device with bootindex option
Summary: fail to specify order for the pcie-switch boot device with bootindex option
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: seabios
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Amos Kong
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 03:15 UTC by FuXiangChun
Modified: 2019-03-26 14:54 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-17 06:34:11 UTC


Attachments (Terms of Use)
pcie-switch devices boot order (deleted)
2014-01-20 03:32 UTC, FuXiangChun
no flags Details

Description FuXiangChun 2014-01-20 03:15:04 UTC
Description of problem:
As subject, Bootindex option cann't specify boot order for pcie-switch device.  without pcie-switch, bootindex option works.  I attached screenshot of seabios.

Version-Release number of selected component (if applicable):
# uname -r
3.10.0-73.el7.x86_64

# rpm -qa|grep qemu
qemu-kvm-tools-1.5.3-37.el7.x86_64
libvirt-daemon-driver-qemu-1.1.1-12.el7.x86_64
qemu-kvm-1.5.3-37.el7.x86_64
qemu-kvm-debuginfo-1.5.3-37.el7.x86_64
qemu-img-1.5.3-37.el7.x86_64
qemu-guest-agent-1.5.3-37.el7.x86_64
ipxe-roms-qemu-20130517-1.gitc4bce43.el7.noarch
qemu-kvm-common-1.5.3-37.el7.x86_64

# rpm -qa|grep seabios
seabios-1.7.2.2-10.el7.x86_64
seabios-bin-1.7.2.2-10.el7.x86_64



How reproducible:


Steps to Reproduce:
1./usr/libexec/qemu-kvm -name 'pcie-switch' -m 4G -smp 4,cores=2,threads=2,sockets=1 -M q35 -cpu SandyBridge -rtc base=utc,clock=host,driftfix=slew -k en-us -boot menu=on -monitor stdio -vnc :1 -spice disable-ticketing,port=5931 -qmp tcp:0:5555,server,nowait -vga qxl \
-device ioh3420,bus=pcie.0,id=root.0 -device x3130-upstream,bus=root.0,id=upstream -device xio3130-downstream,bus=upstream,id=downstream0,chassis=1 -device x3130-upstream,bus=downstream0,id=upstream1 -device xio3130-downstream,bus=upstream1,id=downstream1,chassis=2 -device xio3130-downstream,bus=upstream1,id=downstream2,chassis=3 -device xio3130-downstream,bus=upstream1,id=downstream3,chassis=4 -device xio3130-downstream,bus=upstream1,id=downstream4,chassis=5 -device xio3130-downstream,bus=upstream1,id=downstream5,chassis=6 -device xio3130-downstream,bus=upstream1,id=downstream6,chassis=7 -drive file=/home/RHEL-Server-7.0-64.qcow2,if=none,id=drive-scsi-disk,format=qcow2,cache=none,werror=stop,rerror=stop -device virtio-scsi-pci,id=scsi0,bus=downstream1 -device scsi-disk,drive=drive-scsi-disk,bus=scsi0.0,scsi-id=0,lun=0,id=scsi-disk,bootindex=1 
-device virtio-net-pci,netdev=fuxc,mac=00:24:21:7f:0d:10,id=n1,bus=downstream2,bootindex=4 -netdev tap,id=fuxc,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=fuxc1,mac=00:24:21:7f:0d:11,id=n2,bus=downstream3,bootindex=3 -netdev tap,id=fuxc1,vhost=on,script=/etc/qemu-ifup -device usb-ehci,bus=downstream4,id=usb_controller1 -drive  file=/home/usb-ehci-1.qcow2,if=none,id=drive-usb-2-1,media=disk,format=qcow2,cache=none -device usb-storage,drive=drive-usb-2-1,id=usb1,bootindex=5 -device usb-ehci,bus=downstream5,id=usb_controller2 -drive  file=/home/usb-ehci-2.qcow2,if=none,id=drive-usb-2-2,media=disk,format=qcow2,cache=none -device usb-storage,drive=drive-usb-2-2,id=usb2,bootindex=6  -device e1000,netdev=fuxc3,mac=00:24:21:7f:0d:13,id=n3,bus=downstream6,bootindex=2 -netdev tap,id=fuxc3,vhost=on,script=/etc/qemu-ifup

2.press F12  after qemu-kvm started

3.check boot order 

Actual results:
wrong boot list(bootindex option doesn't work)

Expected results:
bootindex works

Additional info:

Comment 2 FuXiangChun 2014-01-20 03:32:39 UTC
Created attachment 852601 [details]
pcie-switch devices boot order

Comment 3 Amos Kong 2014-02-17 03:50:12 UTC
Hi XiangChun,

Can you list the detail order that you expected? I checked the attachment and tested with upstream, the order is right.

Comment 4 FuXiangChun 2014-02-17 05:51:56 UTC
(In reply to Amos Kong from comment #3)
> Hi XiangChun,
> 
> Can you list the detail order that you expected? I checked the attachment
> and tested with upstream, the order is right.

Re-tested this bug with comment 0, and double-check boot list via F12. Boot order is right. Bootindex option works well. Understanding is wrong before. Anyway, I think you can close this bug now.

Comment 5 Amos Kong 2014-02-17 06:34:11 UTC
Thanks for your confirm.


Note You need to log in before you can comment on or make changes to this bug.